
package de.ivu.elect.business.pruefung.control;

import javax.enterprise.inject.Specializes;

import de.ivu.elect.business.kandidatur.entity.Kandidatur;
import de.ivu.elect.business.stimmzettel.entity.EntityAufStimmzettelDaten;

@Specializes // ELECT-11475
public class NlKandidaturPersonStatusZulassungPruefSchritt extends KandidaturPersonStatusZulassungPruefSchritt {

  private static final long serialVersionUID = 1L;

  public NlKandidaturPersonStatusZulassungPruefSchritt() {
    super();
  }

  @Override
  public boolean isZulassungErlaubt(Kandidatur kandidatur, EntityAufStimmzettelDaten entityAufStimmzettelDaten) {
    return true;
  }

  @Override
  public String getGrundFuerVerweigerungDerZulassung(Kandidatur kandidatur) {
    return "";
  }
}
